org.apache.commons.compress.archivers.dump

## Class InvalidFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.compress.archivers.dump.DumpArchiveException
        - - org.apache.commons.compress.archivers.dump.InvalidFormatException

- All Implemented Interfaces:
    Serializable

      public class InvalidFormatException
      extends DumpArchiveException

  Invalid Format Exception. There was an error decoding a tape segment header.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidFormatException()`
    `InvalidFormatException(long offset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getOffset()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected long offset

  - ### Constructor Detail

    - #### InvalidFormatException

          public InvalidFormatException()

    - #### InvalidFormatException

          public InvalidFormatException(long offset)

  - ### Method Detail

    - #### getOffset

          public long getOffset()

Copyright © 2016 The Apache Software Foundation. All rights reserved.